package com.yd.dal.mapper.product;

import com.yd.dal.entity.product.Product;
import com.yd.dal.entity.product.ProductE;

import java.util.List;

public interface ProductMapper {
    int deleteByPrimaryKey(Long id);

    int insert(Product record);

    int insertSelective(Product record);

    Product selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(Product record);

    int updateByPrimaryKey(Product record);

    List<Product> findAll();

    List<ProductE> findAllE();
}